#!/usr/bin/perl -w
# Example program which will login to a mailbox and retrieve and delete
# all messages
# pop3client.pl host user password

my $pop3host = $ARGV[0];
my $username = $ARGV[1];
my $password = $ARGV[2];
use Net::POP3;
# Constructors
$pop = Net::POP3->new($pop3host, Timeout => 30, Debug => 0,  Port => 110);
my $res = $pop->login($username."$$", $password); 
if ($res && $res > 0) {
	my $msgnums = $pop->list; # hashref of msgnum => size
	foreach my $msgnum (keys %$msgnums) {
		my $msg = $pop->get($msgnum);
		print @$msg;
		$pop->delete($msgnum);
	}	
}
$pop->quit;
